# org.pdfclown.documents.interaction.navigation.page.PageLabel Class Reference

Page label range [PDF:1.7:8.3.1]. More...

Inheritance diagram for org.pdfclown.documents.interaction.navigation.page.PageLabel:

List of all members.

## Public Types
enum | NumberStyleEnum { ArabicNumber, UCaseRomanNumber, LCaseRomanNumber, UCaseLetter, LCaseLetter }
## Public Member Functions
virtual object | Clone (Document context)
| Gets a clone of the object, registered inside the given document context.
virtual bool | Delete ()
| Removes the object from its document context.
override bool | Equals (object obj)
override int | GetHashCode ()
| PageLabel (Document context, String prefix, NumberStyleEnum numberStyle, int numberBase)
| PageLabel (Document context, NumberStyleEnum numberStyle)
## Static Public Member Functions
static PdfDirectObject | GetBaseObject (PdfObjectWrapper wrapper)
| Gets the PDF object backing the specified wrapper.
static PageLabel | Wrap (PdfDirectObject baseObject)
| Gets an existing page label range.
## Protected Member Functions
void | CheckCompatibility (object feature)
| Checks whether the specified feature is compatible with the document's conformance version.
virtual PdfString | RetrieveName ()
| Retrieves the name possibly associated to this object, walking through the document's name dictionary.
PdfDirectObject | RetrieveNamedBaseObject ()
| Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.
## Properties
virtual PdfDirectObject | BaseObject`[get, set]`
PdfIndirectObject | Container`[get]`
| Gets the indirect object containing the base object.
PdfIndirectObject | DataContainer`[get]`
| Gets the indirect object containing the base data object.
Document | Document`[get]`
| Gets the document context.
File | File`[get]`
| Gets the file context.
int | NumberBase`[get, set]`
| Gets/Sets the value of the numeric suffix for the first page label in this range. Subsequent pages are numbered sequentially from this value.
NumberStyleEnum | NumberStyle`[get, set]`
| Gets/Sets the numbering style to be used for the numeric suffix of each page label in this range.
string | Prefix`[get, set]`
| Gets/Sets the label prefix for page labels in this range.

##

Page label range [PDF:1.7:8.3.1].

It represents a series of consecutive pages' visual identifiers using the same numbering system.

## Member Enumeration Documentation

enum org::pdfclown::documents::interaction::navigation::page::PageLabel::NumberStyleEnum

Enumerator:

  ArabicNumber | Decimal arabic numerals.
  UCaseRomanNumber | Upper-case roman numerals.
  LCaseRomanNumber | Lower-case roman numerals.
  UCaseLetter | Upper-case letters (A to Z for the first 26 pages, AA to ZZ for the next 26, and so on).
  LCaseLetter | Lower-case letters (a to z for the first 26 pages, aa to zz for the next 26, and so on).

## Constructor & Destructor Documentation

org.pdfclown.documents.interaction.navigation.page.PageLabel.PageLabel | ( | Document | context,
|  | NumberStyleEnum | numberStyle |
| ) |  |  |

org.pdfclown.documents.interaction.navigation.page.PageLabel.PageLabel | ( | Document | context,
|  | String | prefix,
|  | NumberStyleEnum | numberStyle,
|  | int | numberBase |
| ) |  |  |

## Member Function Documentation

void org.pdfclown.objects.PdfObjectWrapper.CheckCompatibility | ( | object | feature | ) | `[protected, inherited]`

Checks whether the specified feature is compatible with the document's conformance version.

Parameters:

  | feature | Entity whose compatibility has to be checked. Supported types: VersionEnum Property name resolvable to an annotated getter method MemberInfo

virtual object org.pdfclown.objects.PdfObjectWrapper.Clone | ( | Document | context | ) | `[virtual, inherited]`

Gets a clone of the object, registered inside the given document context.

Parameters:

  | context | Which document the clone has to be registered in.

virtual bool org.pdfclown.objects.PdfObjectWrapper.Delete | ( |  | ) | `[virtual, inherited]`

Removes the object from its document context.

The object is no more usable after this method returns.

Returns:
  Whether the object was actually decontextualized (only indirect objects can be decontextualize).

Reimplemented in org.pdfclown.documents.interaction.annotations.Annotation, org.pdfclown.documents.interaction.navigation.page.Article, and org.pdfclown.documents.interaction.navigation.page.ArticleElement.

override bool org.pdfclown.objects.PdfObjectWrapper.Equals | ( | object | obj | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

static PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.GetBaseObject | ( | PdfObjectWrapper< PdfDictionary > | wrapper | ) | `[static, inherited]`

Gets the PDF object backing the specified wrapper.

Parameters:

  | wrapper | Object to extract the base from.

override int org.pdfclown.objects.PdfObjectWrapper.GetHashCode | ( |  | ) | `[inherited]`

Reimplemented in org.pdfclown.documents.contents.fonts.Font.

virtual PdfString org.pdfclown.objects.PdfObjectWrapper.RetrieveName | ( |  | ) | `[protected, virtual, inherited]`

Retrieves the name possibly associated to this object, walking through the document's name dictionary.

Reimplemented in org.pdfclown.documents.multimedia.Rendition.

PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.RetrieveNamedBaseObject | ( |  | ) | `[protected, inherited]`

Retrieves the object name, if available; otherwise, behaves like PdfObjectWrapper.BaseObject.

static PageLabel org.pdfclown.documents.interaction.navigation.page.PageLabel.Wrap | ( | PdfDirectObject | baseObject | ) | `[static]`

Gets an existing page label range.

Parameters:

  | baseObject | Base object to wrap.

## Property Documentation

virtual PdfDirectObject org.pdfclown.objects.PdfObjectWrapper.BaseObject`[get, set, inherited]`

Gets the underlying reference object, if available; otherwise, gets the underlying data object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.Container`[get, inherited]`

Gets the indirect object containing the base object.

PdfIndirectObject org.pdfclown.objects.PdfObjectWrapper.DataContainer`[get, inherited]`

Gets the indirect object containing the base data object.

Document org.pdfclown.objects.PdfObjectWrapper.Document`[get, inherited]`

Gets the document context.

File org.pdfclown.objects.PdfObjectWrapper.File`[get, inherited]`

Gets the file context.

int org.pdfclown.documents.interaction.navigation.page.PageLabel.NumberBase`[get, set]`

Gets/Sets the value of the numeric suffix for the first page label in this range. Subsequent pages are numbered sequentially from this value.

NumberStyleEnum org.pdfclown.documents.interaction.navigation.page.PageLabel.NumberStyle`[get, set]`

Gets/Sets the numbering style to be used for the numeric suffix of each page label in this range.

If no style is defined, the numeric suffix isn't displayed at all.

string org.pdfclown.documents.interaction.navigation.page.PageLabel.Prefix`[get, set]`

Gets/Sets the label prefix for page labels in this range.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.